#include <bits/stdc++.h>
using namespace std;
int main()
{
    long long n,k,nuli=0;
    cin>>n>>k;
    vector<int> niza(n);
    for (int i=0;i<n;i++) {
        cin>>niza[i];
        if (niza[i]==0) {
            nuli++;
            return 0;
        }
    }
    if (nuli==2) {
        cout<<0;
        return 0;
    }
    else {
        cout<<1;
        return 0;
    }
    return 0;
}
